#SequencerPanel
{
    position: absolute;

    left: 4.45%;
    top: 75.5%;

    width: 68.8%;
    height: 17%;
}

#SequencerPanel #SequencerControl
{
    position: absolute;

    left: 0%;
    top: 0%;

    box-sizing: border-box;

    width: 100%;
    height: 39%;
}

#SequencerPanel #SequencerControl .button
{
    position: absolute;

    box-sizing: border-box;
}

#SequencerPanel #SequencerControl .button:hover
{
    cursor: pointer;

    background-color: #00ff0022;
}

#SequencerPanel #SequencerControl #ButtonPlay
{
    left: 1.9%;
    top: 13.9%;

    width: 3.9%;
    height: 70%;
}

#SequencerPanel #SequencerControl #ButtonPlay.on
{
    border-width: 3px;
    border-style: solid;
    border-color: #550000;
}

#SequencerPanel #SequencerControl #ButtonStop
{
    left: 6.7%;
    top: 13.9%;

    width: 3.9%;
    height: 70%;
}

#SequencerPanel #SequencerControl #SequencerVolumeSlider
{
    position: absolute;

    left: 69%;
    top: 35%;

    width: 16%;
    height: 23%;
}

#SequencerPanel #SequencerControl #ButtonAddSequence
{
    left: 17.65%;
    top:  22%;

    width: 3.5%;
    height: 56%;
}

#SequencerPanel #SequencerControl #ButtonRemoveSequence
{
    left: 21.4%;
    top:  22%;

    width: 3.5%;
    height: 56%;
}

#SequencerPanel #SequencerControl #ButtonBounce
{
    left: 88.0%;
    top:  18.0%;

    width: 10.5%;
    height: 67%;
}

#SequencerPanel #SequencerControl #GroupBin
{
    position: absolute;

    left: 26.9%;
    top:  21%;

    box-sizing: border-box;

    width: 13.75%;
    height: 56%;
}

#SequencerPanel #SequencerControl #GroupBin.unclickable
{
    background-color: #ffffff22;
    border: 3px solid #00ff0055;
}

#SequencerPanel #SequencerControl #GroupBin.unclickable:hover
{
    cursor: default;
}

#SequencerPanel #SequencerControl #SequencerPanelResetMixButton
{
    left: 42.5%;
    top: 21%;

    width: 12.8%;
    height: 56%;
}

#SequencerPanel #SequencerWrap
{
    position: absolute;

    left: 0.2%;
    top: 39%;

    box-sizing: border-box;

    width: 99.6%;
    height: 59.7%;

    white-space: nowrap;

    overflow-x: scroll;
    overflow-y: hidden;
}

#SequencerPanel #SequencerWrap #SequencerContainer
{
    position: absolute;

    left: 0%;
    top: 10%;

    width: 100%;
    height: 80%;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence
{
    width: 4%;
    height: 100%;

    margin-left: 0.5%;

    box-sizing: border-box;

    display: inline-block;

    background-color: #004400;
}

#SequencerPanel #SequencerWrap #SequencerContainer .audio.item.container.sequence .audio.item.source.empty
{
    background-color: #004488;
    border-color: #0066cc;
}

#SequencerPanel #SequencerWrap #SequencerContainer .audio.item.container.sequence .audio.item.source:not(.empty)
{
    background-color: #2288ff;
    border-color: #44aaff;
}

#SequencerPanel #SequencerWrap #SequencerContainer .audio.item.container.sequence .audio.item.source:hover
{
    background-color: #0088cc;
    border-color: #2288ff;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .indication.icon
{
    margin: auto;
    margin-top: 10%;

    display: block;

    max-width: 75%;
    max-height: 75%;

    opacity: 0.5;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .indication.icon.hidden
{
    display:none;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .audio.item.source:hover
{
    background-color: #006600;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .looping
{
    animation-name: rotation;
    animation-duration: 3.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .playing
{
    animation-name: forward;
    animation-duration: 3.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

@keyframes rotation
{
    100%
    {
        transform: rotate(360deg);
    }
}

@keyframes forward
{
    0%, 100%
    {
    }

    30%, 45%, 80%, 95%
    {
        transform: translate(-10%);
    }

    37.5%, 87.5%
    {
        transform: translate(-15%);
    }

    5%, 20%, 55%, 70%
    {
        transform: translate(10%);
    }

    12.5%, 62.5%
    {
        transform: translate(15%);
    }
}

#SequencerPanel #SequencerWrap #SequencerContainer .sequence .audio.item.index
{
    float: left;

    font-size: 1.25vw;
}
